###################################################
### chunk number 1: annotate
###################################################
#line 35 "biomaRt.Rnw"
## library("annotate")
options(width=120)


###################################################
### chunk number 2: biomaRt
###################################################
#line 41 "biomaRt.Rnw"
library("biomaRt")
listMarts()


###################################################
### chunk number 3: ensembl1
###################################################
#line 56 "biomaRt.Rnw"
ensembl=useMart("ensembl")


###################################################
### chunk number 4: listDatasets
###################################################
#line 63 "biomaRt.Rnw"
listDatasets(ensembl)


###################################################
### chunk number 5: ensembl2
###################################################
#line 76 "biomaRt.Rnw"
ensembl = useMart("ensembl",dataset="hsapiens_gene_ensembl")


###################################################
### chunk number 6: filters
###################################################
#line 85 "biomaRt.Rnw"
filters = listFilters(ensembl)
filters[1:5,]


###################################################
### chunk number 7: attributes
###################################################
#line 92 "biomaRt.Rnw"
attributes = listAttributes(ensembl)
attributes[1:5,]


###################################################
### chunk number 8:  eval=FALSE
###################################################
## #line 115 "biomaRt.Rnw"
## affyids=c("202763_at","209310_s_at","207500_at")
## getBM(attributes=c('affy_hg_u133_plus_2', 'entrezgene'), filters = 'affy_hg_u133_plus_2', values = affyids, mart = ensembl)


###################################################
### chunk number 9:  eval=FALSE
###################################################
## #line 135 "biomaRt.Rnw"
## affyids=c("202763_at","209310_s_at","207500_at")
## getBM(attributes=c('affy_hg_u133_plus_2', 'hgnc_symbol', 'chromosome_name','start_position','end_position', 'band'),
##  filters = 'affy_hg_u133_plus_2', values = affyids, mart = ensembl)


###################################################
### chunk number 10:  eval=FALSE
###################################################
## #line 153 "biomaRt.Rnw"
## entrez=c("673","837")
## goids = getBM(attributes=c('entrezgene','go_id'), filters='entrezgene', values=entrez, mart=ensembl)
## head(goids)


###################################################
### chunk number 11:  eval=FALSE
###################################################
## #line 196 "biomaRt.Rnw"
## refseqids = c("NM_005359","NM_000546")
## ipro = getBM(attributes=c("refseq_dna","interpro","interpro_description"), filters="refseq_dna",values=refseqids, mart=ensembl)


###################################################
### chunk number 12: 
###################################################
#line 220 "biomaRt.Rnw"
getBM(c('affy_hg_u133_plus_2','ensembl_gene_id'), filters = c('chromosome_name','start','end'),
 values=list(16,1100000,1250000), mart=ensembl)


###################################################
### chunk number 13:  eval=FALSE
###################################################
## #line 229 "biomaRt.Rnw"
## getBM(c('entrezgene','hgnc_symbol'), filters='go', values='GO:0004707', mart=ensembl)


###################################################
### chunk number 14:  eval=FALSE
###################################################
## #line 251 "biomaRt.Rnw"
## entrez=c("673","7157","837")
## getSequence(id = entrez, type="entrezgene",seqType="coding_gene_flank",upstream=100, mart=ensembl) 


###################################################
### chunk number 15:  eval=FALSE
###################################################
## #line 261 "biomaRt.Rnw"
## utr5 = getSequence(chromosome=3, start=185514033, end=185535839,
##                       type="entrezgene",seqType="5utr", mart=ensembl)
## utr5


###################################################
### chunk number 16:  eval=FALSE
###################################################
## #line 281 "biomaRt.Rnw"
## protein = getSequence(id=c(100, 5728),type="entrezgene",
##                         seqType="peptide", mart=ensembl)
## protein


###################################################
### chunk number 17:  eval=FALSE
###################################################
## #line 300 "biomaRt.Rnw"
## snpmart = useMart("snp", dataset="hsapiens_snp")


###################################################
### chunk number 18:  eval=FALSE
###################################################
## #line 308 "biomaRt.Rnw"
## getBM(c('refsnp_id','allele','chrom_start','chrom_strand'), filters = c('chr_name','chrom_start','chrom_end'), values = list(8,148350,148612), mart = snpmart)


###################################################
### chunk number 19: 
###################################################
#line 362 "biomaRt.Rnw"
listMarts(archive=TRUE)


###################################################
### chunk number 20:  eval=FALSE
###################################################
## #line 368 "biomaRt.Rnw"
## ensembl = useMart("ensembl_mart_46", dataset="hsapiens_gene_ensembl", archive = TRUE)


###################################################
### chunk number 21:  eval=FALSE
###################################################
## #line 380 "biomaRt.Rnw"
## listMarts(host='may2009.archive.ensembl.org')
## ensembl54=useMart(host='may2009.archive.ensembl.org', biomart='ENSEMBL_MART_ENSEMBL')
## ensembl54=useMart(host='may2009.archive.ensembl.org', biomart='ENSEMBL_MART_ENSEMBL', dataset='hsapiens_gene_ensembl')


###################################################
### chunk number 22:  eval=FALSE
###################################################
## #line 392 "biomaRt.Rnw"
## wormbase=useMart("wormbase_current",dataset="wormbase_gene")
## listFilters(wormbase)
## listAttributes(wormbase)
## getBM(attributes=c("name","rnai","rnai_phenotype","phenotype_desc"),
##                      filters="gene_name", values=c("unc-26","his-33"),
##                      mart=wormbase)
##      


###################################################
### chunk number 23: 
###################################################
#line 454 "biomaRt.Rnw"
filterType("with_affy_hg_u133_plus_2",ensembl)


###################################################
### chunk number 24: 
###################################################
#line 464 "biomaRt.Rnw"
filterOptions("biotype",ensembl)


###################################################
### chunk number 25: 
###################################################
#line 480 "biomaRt.Rnw"
pages = attributePages(ensembl)
pages


###################################################
### chunk number 26: 
###################################################
#line 489 "biomaRt.Rnw"
listAttributes(ensembl, page="feature_page")


###################################################
### chunk number 27: 
###################################################
#line 513 "biomaRt.Rnw"
sessionInfo()
warnings()


